// ============================================================================
// ==                                                                        ==
// == Amdis - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file ArhReader.h */

#ifndef AMDIS_ARH_READER_H
#define AMDIS_ARH_READER_H

#include "AMDiS_fwd.h"

namespace AMDiS {

  class ArhReader
  {
  public:
    static void read(std::string filename, Mesh *mesh);

    static void read(std::string filename, Mesh *mesh, DOFVector<double>* vec);

    static void read(std::string filename, Mesh *mesh, 
		     std::vector<DOFVector<double>*> vecs);

  private:
    static void setDofValues(int macroElIndex, Mesh *mesh, 
			     std::vector<double>& values, DOFVector<double>* vec);
  };
}

#endif
