// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file MeshManipulation.h */

#ifndef AMDIS_MESHMANIPULATION_H
#define AMDIS_MESHMANIPULATION_H

#include <set>
#include <map>

#include "AMDiS_fwd.h"
#include "parallel/ElementObjectData.h"

namespace AMDiS {

  class MeshManipulation {
  public:
    MeshManipulation(FiniteElemSpace *space)
      : feSpace(space),
	mesh(space->getMesh())
    {}

    void deleteDoubleDofs(std::set<MacroElement*>& newMacroEl, ElementObjects &elObj);

  private:
    FiniteElemSpace *feSpace;
	     
    Mesh *mesh;
  };

}

#endif

